Zum Hauptinhalt springen
POST
/
automation
/
v4
/
flows
Erstellen Sie einen Workflow
curl --request POST \
  --url https://api.hubapi.com/automation/v4/flows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actions": [
    {
      "actionId": "<string>",
      "inputValue": {
        "actionId": "<string>",
        "dataKey": "<string>",
        "type": "FIELD_DATA"
      },
      "staticBranches": [
        {
          "branchValue": "<string>"
        }
      ],
      "type": "STATIC_BRANCH",
      "defaultBranchName": "<string>"
    }
  ],
  "blockedDates": [
    {
      "dayOfMonth": 123,
      "year": 123
    }
  ],
  "canEnrollFromSalesforce": true,
  "customProperties": {},
  "dataSources": [
    {
      "associationTypeId": 123,
      "name": "<string>",
      "objectTypeId": "<string>",
      "type": "ASSOCIATION"
    }
  ],
  "isEnabled": true,
  "objectTypeId": "<string>",
  "suppressionListIds": [
    123
  ],
  "timeWindows": [
    {}
  ],
  "type": "CONTACT_FLOW",
  "description": "<string>",
  "enrollmentCriteria": {
    "listFilterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": "<unknown>",
          "property": "<string>"
        }
      ]
    },
    "reEnrollmentTriggersFilterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "shouldReEnroll": true,
    "type": "LIST_BASED",
    "unEnrollObjectsNotMeetingCriteria": true
  },
  "enrollmentSchedule": {
    "timeOfDay": {
      "hour": 123,
      "minute": 123
    },
    "type": "DAILY"
  },
  "eventAnchor": {
    "contactProperty": "<string>",
    "type": "CONTACT_PROPERTY_ANCHOR"
  },
  "goalFilterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  },
  "name": "<string>",
  "startActionId": "<string>",
  "uuid": "<string>"
}
'
{
  "actions": [
    {
      "actionId": "<string>",
      "inputValue": {
        "actionId": "<string>",
        "dataKey": "<string>",
        "type": "FIELD_DATA"
      },
      "staticBranches": [
        {
          "branchValue": "<string>",
          "connection": {
            "nextActionId": "<string>"
          }
        }
      ],
      "type": "STATIC_BRANCH",
      "defaultBranch": {
        "nextActionId": "<string>"
      },
      "defaultBranchName": "<string>"
    }
  ],
  "blockedDates": [
    {
      "dayOfMonth": 123,
      "year": 123
    }
  ],
  "canEnrollFromSalesforce": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "customProperties": {},
  "dataSources": [
    {
      "associationTypeId": 123,
      "name": "<string>",
      "objectTypeId": "<string>",
      "type": "ASSOCIATION",
      "sortBy": {
        "property": "<string>",
        "missing": "<string>"
      }
    }
  ],
  "id": "<string>",
  "isEnabled": true,
  "nextAvailableActionId": "<string>",
  "objectTypeId": "<string>",
  "revisionId": "<string>",
  "suppressionListIds": [
    123
  ],
  "timeWindows": [
    {
      "endTime": {
        "hour": 123,
        "minute": 123
      },
      "startTime": {
        "hour": 123,
        "minute": 123
      }
    }
  ],
  "type": "CONTACT_FLOW",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "enrollmentCriteria": {
    "listFilterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": "<unknown>",
          "property": "<string>"
        }
      ]
    },
    "reEnrollmentTriggersFilterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "shouldReEnroll": true,
    "type": "LIST_BASED",
    "unEnrollObjectsNotMeetingCriteria": true
  },
  "enrollmentSchedule": {
    "timeOfDay": {
      "hour": 123,
      "minute": 123
    },
    "type": "DAILY"
  },
  "eventAnchor": {
    "contactProperty": "<string>",
    "type": "CONTACT_PROPERTY_ANCHOR"
  },
  "goalFilterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  },
  "name": "<string>",
  "startActionId": "<string>",
  "unEnrollmentSetting": {
    "flowIds": [
      "<string>"
    ]
  },
  "uuid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
actions
(STATIC_BRANCH · object | LIST_BRANCH · object | AB_TEST_BRANCH · object | CUSTOM_CODE · object | WEBHOOK · object | SINGLE_CONNECTION · object)[]
erforderlich
blockedDates
object[]
erforderlich
canEnrollFromSalesforce
boolean
erforderlich
customProperties
object
erforderlich
dataSources
(ASSOCIATION · object | ASSOCIATION_TIMESTAMP · object | STATIC_PROPERTY_FILTER · object | ENROLLED_RECORD_PROPERTY_FILTER · object | DATASET_FIELD_PROPERTY_FILTER · object | ENROLLED_ARGUMENT_PROPERTY_FILTER · object)[]
erforderlich
flowType
enum<string>
erforderlich
Verfügbare Optionen:
ACTION_SET,
UNKNOWN,
WORKFLOW
isEnabled
boolean
erforderlich
objectTypeId
string
erforderlich
suppressionListIds
integer<int32>[]
erforderlich
timeWindows
object[]
erforderlich
type
enum<string>
Standard:CONTACT_FLOW
erforderlich
Verfügbare Optionen:
CONTACT_FLOW
description
string
enrollmentCriteria
LIST_BASED · object
enrollmentSchedule
DAILY · object
eventAnchor
CONTACT_PROPERTY_ANCHOR · object
goalFilterBranch
OR · object
name
string
startActionId
string
unEnrollmentSetting
object
uuid
string

Antwort

successful operation

actions
(STATIC_BRANCH · object | LIST_BRANCH · object | AB_TEST_BRANCH · object | CUSTOM_CODE · object | WEBHOOK · object | SINGLE_CONNECTION · object)[]
erforderlich
blockedDates
object[]
erforderlich
canEnrollFromSalesforce
boolean
erforderlich
createdAt
string<date-time>
erforderlich
crmObjectCreationStatus
enum<string>
erforderlich
Verfügbare Optionen:
COMPLETE,
PENDING
customProperties
object
erforderlich
dataSources
(ASSOCIATION · object | ASSOCIATION_TIMESTAMP · object | STATIC_PROPERTY_FILTER · object | ENROLLED_RECORD_PROPERTY_FILTER · object | DATASET_FIELD_PROPERTY_FILTER · object | ENROLLED_ARGUMENT_PROPERTY_FILTER · object)[]
erforderlich
flowType
enum<string>
erforderlich
Verfügbare Optionen:
ACTION_SET,
UNKNOWN,
WORKFLOW
id
string
erforderlich
isEnabled
boolean
erforderlich
nextAvailableActionId
string
erforderlich
objectTypeId
string
erforderlich
revisionId
string
erforderlich
suppressionListIds
integer<int32>[]
erforderlich
timeWindows
object[]
erforderlich
type
enum<string>
Standard:CONTACT_FLOW
erforderlich
Verfügbare Optionen:
CONTACT_FLOW
updatedAt
string<date-time>
erforderlich
description
string
enrollmentCriteria
LIST_BASED · object
enrollmentSchedule
DAILY · object
eventAnchor
CONTACT_PROPERTY_ANCHOR · object
goalFilterBranch
OR · object
name
string
startActionId
string
unEnrollmentSetting
object
uuid
string
Last modified on April 13, 2026